package com.city.cdcmonitor.bean;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class ExportColumnBean {
    private String columnName;//字段
    private String description;//@ExcelProperty的值
    private String insertColumnName;//昨日日报入库字段, 与报表一一对应

    public ExportColumnBean(String columnName, String description) {
        this.columnName = columnName;
        this.description = description;
    }

    public ExportColumnBean(String name) {
        this.columnName = name;
        this.description = name;
        this.insertColumnName = name;
    }
}
