package com.city.cdcmonitor.exception;

import lombok.extern.slf4j.Slf4j;

import java.io.PrintWriter;
import java.io.StringWriter;

@Slf4j
public class CityException extends Exception {
    /**
     * 日志打印exception错误信息
     * 将异常输出到文件
     */
    public static void error(Exception e) {
        log.error(getTrace(e));
    }

    public static String getTrace(Throwable t) {
        StringWriter stringWriter = new StringWriter();
        PrintWriter writer = new PrintWriter(stringWriter);
        t.printStackTrace(writer);
        StringBuffer buffer = stringWriter.getBuffer();
        return buffer.toString();
    }
}
